Bug 1123301 - Rubygem-staypuft: HA: nova-metadata VIP/listener is missing on port 8775 in haproxy.cfg
Summary: Rubygem-staypuft: HA: nova-metadata VIP/listener is missing on port 8775 in h...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-foreman-installer
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ga
: Installer
Assignee: Jason Guiditta
QA Contact: Leonid Natapov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 09:24 UTC by Leonid Natapov
Modified: 2016-04-27 00:09 UTC (History)
8 users (show)

Fixed In Version: openstack-foreman-installer-2.0.20-1.el6ost
Doc Type: Bug Fix
Doc Text:
The nova-metadata parameter was not enabled for HA deployments, so it did not function as expected. This fix enables service in the haproxy configuration file and binds listener to the correct address. As a result, nova-metadata service runs as expected for a HA deployment.
Clone Of:
Environment:
Last Closed: 2014-08-21 18:06:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1090 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement Advisory 2014-08-22 15:28:08 UTC

Description Leonid Natapov 2014-07-25 09:24:32 UTC
Rubygem-staypuft: HA: nova-metadata VIP/listener is missing on port 8775 in haproxy.cfg


Example:
---------------------------------------------------------
backend nova-metadata-vms
    balance roundrobin
    server rhos5-nova1 192.168.16.88:8775 check inter 1s
    server rhos5-nova2 192.168.16.89:8775 check inter 1s
    server rhos5-nova3 192.168.16.90:8775 check inter 1s
---------------------------------------------------------

Comment 1 Jason Guiditta 2014-08-04 18:30:02 UTC
Hmm, we have this in the puppet code already, but it is commented out, due to some problem I forget.  We can re-enable it and see how it works, maybe it was another havana issue that is no longer relevant.

Comment 2 Jason Guiditta 2014-08-04 19:48:06 UTC
Patch posted:

https://github.com/redhat-openstack/astapor/pull/336

Comment 6 Leonid Natapov 2014-08-18 09:13:35 UTC
openstack-foreman-installer-2.0.20-1.el6ost

listen nova-metadata
  bind 192.168.0.97:8775
  mode  tcp
  option  tcplog
  server mac047d7b627d5a.example.com 192.168.0.2:8775  check
  server mac047d7b685a04.example.com 192.168.0.5:8775  check
  server mac047d7b61754e.example.com 192.168.0.3:8775  check

Comment 7 errata-xmlrpc 2014-08-21 18:06:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1090.html


Note You need to log in before you can comment on or make changes to this bug.